# Synthesis sources
set src_syn [ list \
  "../../common/adb3_ocp/adb3_ocp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_comp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_cross_clk_dom.vhd" \
  "../../common/adb3_ocp/adb3_ocp_full2lite_b.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_split.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_ictrl.vhd" \
  "../../common/adb3_target/${model}/adb3_target_inc_pkg_syn_ngc_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_target/mptl_if_target_wrap_${model}.vhd" \
  "common/blk_${design}_clocks.vhd" \
  "common/${design}.vhd" \
]

# Constraints
set constraint [ list \
  "${model}/${design}-${model}.ucf" \
  "${model}/${design}-${model}.xcf" \
]

# Core search path for synthesis; relative to the temporary XST script file
# created by PlanAhead during synthesis. It's possible that Xilinx could break
# this in future by changing the structure of the tree generated by PlanAhead.
set core_dir [ list \
  "../../../../../common/adb3_target/${model}/mptl_target" \
]

# Simulation sources for OCP-only simulation
set src_sim_ocp [ list \
  "../../common/adb3_ocp/adb3_ocp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_comp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_cross_clk_dom.vhd" \
  "../../common/adb3_ocp/adb3_ocp_full2lite_b.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_split.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_ictrl.vhd" \
  "../../common/adb3_target/${model}/adb3_target_inc_pkg_sim_ocp_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_target/mptl_if_target_wrap_sim_${model}.vhd" \
  "common/blk_${design}_clocks.vhd" \
  "common/${design}.vhd" \
  "../../common/adb3_ocp/adb3_ocp_mux_b.vhd" \
  "../../common/adb3_ocp/adb3_ocp_tbx_pkg.vhd" \
  "../../common/adb3_probe/adb3_probe_pkg.vhd" \
  "../../common/adb3_probe/adb3_ocp_transaction_probe_sim.vhd" \
  "../../common/adb3_target/${model}/adb3_target_tb_inc_pkg_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_bridge/mptl_if_bridge_wrap_sim_${model}.vhd" \
  "${model}/test_${design}_clocks_${model}.vhd" \
  "common/test_${design}_app.vhd" \
  "common/test_${design}.vhd" \
]

# Simulation sources for full MPTL simulation
set src_sim_mptl [ list \
  "../../common/adb3_ocp/adb3_ocp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_comp_pkg.vhd" \
  "../../common/adb3_ocp/adb3_ocp_cross_clk_dom.vhd" \
  "../../common/adb3_ocp/adb3_ocp_full2lite_b.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_split.vhd" \
  "../../common/adb3_ocp/adb3_ocp_l_ictrl.vhd" \
  "../../common/adb3_target/${model}/adb3_target_inc_pkg_syn_ngc_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_target/mptl_if_target_netlist_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_target/mptl_if_target_wrap_${model}.vhd" \
  "common/blk_${design}_clocks.vhd" \
  "common/${design}.vhd" \
  "../../common/adb3_ocp/adb3_ocp_mux_b.vhd" \
  "../../common/adb3_ocp/adb3_ocp_tbx_pkg.vhd" \
  "../../common/adb3_probe/adb3_probe_pkg.vhd" \
  "../../common/adb3_probe/adb3_ocp_transaction_probe_sim.vhd" \
  "../../common/adb3_target/${model}/adb3_target_tb_inc_pkg_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_bridge/mptl128_gtx6_interface.vhd" \
  "../../common/adb3_target/${model}/mptl_bridge/mptl_if_bridge_netlist_${model}.vhd" \
  "../../common/adb3_target/${model}/mptl_bridge/mptl_if_bridge_wrap_${model}.vhd" \
  "${model}/test_${design}_clocks_${model}.vhd" \
  "common/test_${design}_app.vhd" \
  "common/test_${design}.vhd" \
]

# OCP-only 'light weight' behavioural simulation is not required
set src_sim_lwb [ list ]
